Bug 118857 - Fedora: Promise fasttrack133 (20276) RAID 0 unsupported
Fedora: Promise fasttrack133 (20276) RAID 0 unsupported
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-21 13:47 EST by Michael Morris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Morris 2004-03-21 13:47:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
When I try to install the Fedora Project Core 1 on my computer, the 
program display an error when the partitionning screen appears, 
saying that the partition table is unreadable. I already have 3 NTFS 
partitions on my hard drives, one with Windows XP installed. 

The problem seems to be that my RAID controller is not recognized by 
Fedora. I tried the drivers offered by MSI and Promise for Red Hat 9 
(because nothing was made to support Fedora, and I read they don't 
plan to..) but they didn't work.

I found the source code of a patch for another kernel version, but 
still it might help: 

My configuration:
-Motherboard: MSI KT3 Ultra (Promise RAID adapter Fasttrack133 
(20276) onBoard)
-CPU: Athlon XP 2200+
-2x maxtor HD 40G 7200(RAID 0)

It would be great to have a kernel patch that we could use on the 
Fedora installation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get a computer with my configuration
2. Try to install Fedora Core 1

Actual Results:  The RAID controller is not supported and the 
partitions are unreadable.

Expected Results:  Support of the RAID controller Promise 
FastTrack133 (20276) with Fedora Core 1.
Comment 1 Brian Shea 2004-04-26 17:24:31 EDT
I also have the same Promise Raid chipset 20276 on my Asus A7V333 
mobo. In the past, I've had to compile a new driver disk each time I 
wanted to install the latest version of RH. Now that I've tried to 
install FC2-Test2, I find that it still isn't supported so I went to 
compile a new driver disk. I installed FC2-Test2 on a different 
computer and started to do what I had to do before. However, the 
driver source code from Promise will no longer compile correctly with 
the new 2.6 kernel. Here is the URL to the source code that I used to 
make driver disks before:


I have never seen full support for my Promise Raid controller in any 
linux distribution. It would definitely be nice to see, after all 
these years of having trouble, Fedora Core 2 correctly identify my 
Promise chipset during install and have it work without any extra 
steps. I have seen many, many posts on several message boards about 
people having a hard time installing linux on many Promise raid 
cards. I think it is about time for linux (starting with FC2) to 
fully support Promise raid chipsets right from the start.
Comment 2 Jaka Mele 2004-05-13 10:15:56 EDT
I also have PDC20276 and in FC1 or test2FC2 the installation 
recognizes RAID controller as standard IDE controller, and my RAID0 
configured HDDs wrongly as two separate hdds. I played with 
FreeBSD/OpenBSD and both correctly recognized RAID on this promise hw 
raid controller, so this should not be difficult to implement. Would 
really be great...
Comment 3 David Lawrence 2004-09-29 16:13:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.